#######################################################################
# Copyright (c) 2025 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateThreatIntelligences < ActiveRecord::Migration
  def change
    create_table :threat_intelligences do |t|
      t.references :ti_policy, index: true
      t.integer :ti_type
      t.string :value
      t.integer :category
      t.integer :position
      t.decimal :weight, precision: 5, scale: 2
      t.integer :threat_intel_source_id

      t.timestamps
    end
    add_foreign_key :threat_intelligences, :threat_intel_sources
    add_index :threat_intelligences, :threat_intel_source_id
  end
end
